<template>
    <div :id="postId" class="Post shadow-lg bg-white rounded-md flex flex-row px-3 py-5 cursor-move mb-4">
        <div class="flex-1 text-gray-500 font-medium">
          <div :class="{'pt-2': !isFirstPost && !isLastPost}" class="select-none">Post {{ postId }}</div>
        </div>
        <div>
          <div class="inline-block align-text-top">
            <svg v-if="!isFirstPost" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="#7267b9" class="w-5 h-5">
              <path fill-rule="evenodd" d="M9.47 6.47a.75.75 0 0 1 1.06 0l4.25 4.25a.75.75 0 1 1-1.06 1.06L10 8.06l-3.72 3.72a.75.75 0 0 1-1.06-1.06l4.25-4.25Z" clip-rule="evenodd" />
            </svg>
            <svg v-if="!isLastPost" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="#7267b9" class="w-5 h-5">
              <path fill-rule="evenodd" d="M5.22 8.22a.75.75 0 0 1 1.06 0L10 11.94l3.72-3.72a.75.75 0 1 1 1.06 1.06l-4.25 4.25a.75.75 0 0 1-1.06 0L5.22 9.28a.75.75 0 0 1 0-1.06Z" clip-rule="evenodd" />
            </svg>
          </div>
        </div>
    </div>
  </template>
  
  <script>
  export default {
    name: 'Post',
    props: {
      postId: {
        type: Number,
        required: true,
      },
      index: {
        type: Number,
        required: true,
      },
      length: {
        type: Number,
        required: true,
      },
    },
    computed: {
      /**
       * @returns {boolean}
      */
      isFirstPost() {
        return this.index === 0;
      },
      /**
       * @returns {boolean}
      */
      isLastPost() {
        return this.index === this.length - 1;
      },
    },
  }
  </script>
